%define gvname gwenview
%define version 1.4.1

%define gvcorename libgwenviewcore
%define gvdirpartname gvdirpart
%define gvimagepartname gvimagepart

%define name gwenview

%define major 1
%define libname %mklibname %{gvname} %major
%define libnamedev %mklibname %{gvname} %major -d

# building kipi version
%define build_kipi 1
%{?_with_nokipi: %global build_kipi 0}
%if %build_kipi
%define kipiopt --enable-kipi
%define kipireq  libkipi-devel
%endif


Summary: Fast and easy to use image viewer for KDE
Name:    %{name}
Version: %{version}
%define  subrel 1
Release: %mkrel 5
License: GPL
Group: Graphics
Source0: http://prdownloads.sourceforge.net/gwenview/%{gvname}-%{version}.tar.bz2
Patch0: jpegcontent.cpp.patch
Patch1: imageloader.cpp.patch
Patch2: document.cpp.patch
Patch3: print.patch
Patch4: density_info.patch
Patch5: rename.bug_m31395.patch

URL: http://gwenview.sourceforge.net 
BuildRoot: %_tmppath/%{name}-%{version}
#  added automake1.7 requirement to patch Makefile(s).am
%if %build_kipi
BuildRequires: kdelibs-devel automake libpng-devel libexiv-devel %{kipireq}
%else
BuildRequires: kdelibs-devel automake libpng-devel libexiv-devel 
%endif

%description
Gwenview is a fast and easy to use image viewer/browser for KDE.
All common image formats are supported, such as PNG(including transparency), 
JPEG(including EXIF tags and lossless transformations), GIF, XCF (Gimp 
image format), BMP, XPM and others. Standard features include slideshow, 
fullscreen view, image thumbnails, drag'n'drop, image zoom, full network 
transparency using the KIO framework, including basic file operations and 
browsing in compressed archives, non-blocking GUI with adjustable views. 
Gwenview also provides image and directory KParts components for use e.g. in 
Konqueror. Additional features, such as image renaming, comparing, 
converting, and batch processing, HTML gallery and others are provided by the 
KIPI image framework.

%package -n %libname
Summary: Libraries for gwenview image viewer
Group: System/Libraries
Requires:  %{name} = %{version}

%description -n %libname
Gwenview is a fast and easy to use image viewer/browser for KDE.
%{libname} contains the libraries needed to use %{gvname}

%package -n %libnamedev
Summary: Devel files (gwenview image viewer)
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{gvname}-devel = %{version}-%{release}
Provides: %{gvname}-devel = %{version}-%{release}

%description -n %libnamedev
Gwenview is a fast and easy to use image viewer/browser for KDE.
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{libname}.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{gvname}-%{version}
{
cd src/imageutils
%patch0 -p0 -b .bko_138467
cd ../gvcore
%patch1 -p0 -b .bko_131162
%patch2 -p0 -b .bko_132556
%patch3 -p0 -b .bko_111641
%patch4 -p0 -b .bko_129948
cd ../app
%patch5 -p0 -b .bug_31395
}

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
# perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

./configure --disable-rpath \
%if %build_kipi
            %kipiopt \
%else
             \
%endif
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%else
             \
%endif
            --prefix=%_prefix \
            --libdir=%_libdir \
            --mandir=%_mandir \
            --datadir=%_datadir 


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/applnk/Multimedia/Graphics
%makeinstall 

desktop-file-install --vendor="" \
  --add-category="Viewer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{gvname}.desktop

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/hicolor/64x64/apps/%{gvname}.png %buildroot/%_liconsdir
ln -s %_datadir/icons/hicolor/32x32/apps/%{gvname}.png %buildroot/%_iconsdir
ln -s %_datadir/icons/hicolor/16x16/apps/%{gvname}.png %buildroot/%_miconsdir

%find_lang %{gvname}

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %{gvname}.lang
%defattr(-,root,root,0755)
%doc NEWS AUTHORS README TODO COPYING INSTALL
%_bindir/%{gvname}

%dir %_datadir/apps/%{gvdirpartname}/
%_datadir/apps/%{gvdirpartname}/gvdirpart.rc

%dir %_datadir/apps/%{gvimagepartname}/
%_datadir/apps/%{gvimagepartname}/gvimagepartpopup.rc
%_datadir/apps/%{gvimagepartname}/gvimagepart.rc
%_datadir/services/%{gvdirpartname}.desktop
%_datadir/services/%{gvimagepartname}.desktop
%_datadir/apps/konqueror/servicemenus/*
%_datadir/apps/kconf_update/%{gvname}*
%dir %_datadir/apps/%{gvname}/
%_datadir/apps/%{gvname}/*
%_datadir/icons/crystalsvg/16x16/apps/*
%_datadir/icons/crystalsvg/22x22/apps/*
%_datadir/icons/crystalsvg/32x32/apps/*
%_datadir/icons/crystalsvg/scalable/apps/*
%_datadir/icons/hicolor/*
%_liconsdir/%{gvname}.png
%_iconsdir/%{gvname}.png
%_miconsdir/%{gvname}.png
%_datadir/applications/kde/%{gvname}.desktop
%_datadir/config.kcfg/*
%dir %_datadir/doc/HTML/
%_datadir/doc/HTML/*
%_mandir/man1/%{gvname}.1.bz2

%_libdir/kde3/*
%_libdir/libkdeinit_%{gvname}.so
%_libdir/libkdeinit_%{gvname}.la

%files -n %libname
%defattr(-,root,root,0755)
%_libdir/*.so.*

%files -n %libnamedev
%defattr(-,root,root,0755)
%_libdir/%{gvcorename}.so
%_libdir/%{gvcorename}.la

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Sat Aug 11 2007 Angelo Naselli <anaselli@mandriva.org> 1.4.1-5.1mdv2007.1
+ Revision: 61945
- fixed bug #31395 (Image no longer displayed after renaming)

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Sun Mar 04 2007 Angelo Naselli <anaselli@mandriva.org> 1.4.1-5mdv2007.0
+ Revision: 132341
- rebuilt for new libexiv2

* Mon Jan 22 2007 Angelo Naselli <anaselli@mandriva.org> 1.4.1-4mdv2007.1
+ Revision: 112122
- added patch to partially fix bko 129948

* Wed Jan 10 2007 Angelo Naselli <anaselli@mandriva.org> 1.4.1-3mdv2007.1
+ Revision: 107262
- bko 111641
- bko 131162, 132556
- bko 138467
- removed useless dependency

* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 1.4.1-2mdv2007.1
+ Revision: 90482
- rebuilt for new libexiv

* Mon Nov 27 2006 Angelo Naselli <anaselli@mandriva.org> 1.4.1-1mdv2007.1
+ Revision: 87568
- added libkexiv requirement
- New versin 1.4.1
- Import gwenview

* Tue Sep 19 2006 Angelo Naselli <anaselli@mandriva.org> 1.4.0-2mdv2007.0
- rebuilt (wrong tarball from sourceforge)

* Mon Sep 18 2006 Angelo Naselli <anaselli@mandriva.org> 1.4.0-1mdv2007.0
- New version 1.4.0

* Sun Sep 03 2006 Angelo Naselli <anaselli@mandriva.org> 1.3.93-3mdv2007.0
- Really fixed  Bug #24921

* Sat Sep 02 2006 Angelo Naselli <anaselli@mandriva.org> 1.3.93-2mdv2007.0
- Fix Bug #24921 with 1.3.1 translations, some are better the none :)

* Sun Aug 27 2006 Angelo Naselli <anaselli@mandriva.org> 1.3.93-1mdv2007.0
- New release 1.3.93

* Sun Jul 16 2006 Angelo Naselli <anaselli@mandriva.org> 1.3.92b-1mdv2007.0
- New release 1.3.92b

* Sat Jul 15 2006 Angelo Naselli <anaselli@mandriva.org> 1.3.92-1mdv2007.0
- New release 1.3.92

* Mon Jul 03 2006 Angelo Naselli <anaselli@mandriva.org> 1.3.91-2mdv2007.0
- removed -I optiion added for exif bug

* Sun Jun 25 2006 Angelo Naselli <anaselli@mandriva.org> 1.3.91-1mdv2007.0
- New release 1.3.91

* Fri Jan 13 2006 Angelo Naselli <anaselli@mandriva.org> 1.3.1-2mdk
- Rebuilt to allow building on x86_64

* Sun Nov 20 2005 Angelo Naselli <anaselli@mandriva.org> 1.3.1-1mdk
- New release 1.3.1

* Tue Sep 13 2005 Angelo Naselli <anaselli@mandriva.org> 1.3.0-1mdk
- New release 1.3.0

* Mon Aug 22 2005 Angelo Naselli <anaselli@mandriva.org> 1.2.92-1mdk
- New release 1.2.92

* Thu Jul 21 2005 Angelo Naselli <anaselli@mandriva.org> 1.2.91-1mdk
- New release 1.2.91
- patched for fvisibility problem (aligned to svn)

* Tue May 10 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.0-4
- Real fix build on x86_64

* Mon May 09 2005 Angelo Naselli <anaselli@mandriva.org> 1.2.0-3mdk
- fix for x86_64 arch

* Mon May 09 2005 Angelo Naselli <anaselli@mandriva.org> 1.2.0-2mdk
- Rebuild

* Mon Apr 04 2005 Angelo Naselli <anaselli@mandrake.org> 1.2.0-1mdk
- really built new version

* Sun Mar 20 2005 Angelo Naselli <anaselli@mandrake.org> 1.2.0-0.pre4.2mdk
- really built new version

* Sun Mar 20 2005 Angelo Naselli <anaselli@mandrake.org> 1.2.0-0.pre4.1mdk
- new version

* Sat Mar 19 2005 Angelo Naselli <anaselli@mandrake.org> 1.2.0-0.pre3.2mdk
- fix bug #14731

* Sun Feb 27 2005 Angelo Naselli <anaselli@mandrake.org> 1.2.0-0.pre3.1mdk
- new version

* Sun Feb 13 2005 Angelo Naselli <anaselli@mandrake.org> 1.2.0-0.pre2.2mdk
- define mkrel macro if not exist

* Sun Feb 13 2005 Angelo Naselli <anaselli@mandrake.org> 1.2.0-0.pre2.1mdk
- new version

* Sat Jan 29 2005 Angelo Naselli <anaselli@mandrake.org> 1.2.0-0.pre1.2mdk
- added patch to make it compile for mdk official 10.1
- added patch to fix zoom (from cvs)
- added patch to add missing files (from cvs)

* Mon Jan 24 2005 Angelo Naselli <anaselli@mandrake.org> 1.2.0-0.pre1.1mdk
- new version

* Wed Jan 19 2005 Angelo Naselli <anaselli@mandrake.org> 1.1.8-0.4mdk
- fix bug 13100

* Sun Jan 16 2005 Angelo Naselli <anaselli@mandrake.org> 1.1.8-0.3mdk
- better handling of symlink

* Thu Jan 13 2005 Angelo Naselli <anaselli@mandrake.org> 1.1.8-0.2mdk
- fix double click into kpart

* Sun Jan 09 2005 Angelo Naselli <anaselli@mandrake.org> 1.1.8-0.1mdk
- 1.1.8 
- fix Requires section to be compliant to the library policy

* Thu Dec 30 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.7-0.5mdk
- added 1.1.7b patch (solved some build problems)

* Wed Dec 29 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.7-0.4mdk
- description restyling

* Sun Dec 26 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.7-0.3mdk
- fix Require and Provide section

* Sun Dec 26 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.7-0.2mdk
- removed hack management
- added distro-specific release tag management 
  use option "--with official" to build mdk official package

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.7-0.1mdk
- 1.1.7

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.6-0.2mdk
- Fix spec file

* Mon Oct 25 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.6-0.1mdk
- new version
  *  New features:
   o The application now has two modes: browse and view. Browse mode shows 
     all views: folder, file and image. View mode only shows the image. 
     Gwenview starts in browse mode except if an image URL is given as 
     an argument. You can switch between modes using the toolbar button, 
     or with the "View/Browse mode" menu item or with the Ctrl+Return shortcut.
   o JPEGTran code has been integrated into Gwenview, there's no need to install 
     it separately anymore.
  * Fixes:
   o Update the EXIF thumbnail when rotating a JPEG file.
   o In the folder view, folders now open with a single click (By Daniel Thaler).
   o Reworked coordinate conversions in order to avoid subtle paint errors.
   o Remember computed optimal repaint sizes in the config file, 
     so they are available immediately after next start.
   o Remember shown URL after session restore.

* Sun Oct 17 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.5-0.3mdk
- rebuilt for new liblipi + fixing

* Sun Oct 10 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.5-0.2mdk
- applied Lubos Lunak's patch to avoid printing crash using Konqueror

* Tue Sep 21 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.5-0.1mdk
- new version
   *  New features:
    o The thumbnail progress bar and stop buttons are now embedded in the thumbnail view.
    o The location bar now shows the file names instead of the folders.
    o The thumbnails toolbar buttons have been moved to a specialized file view toolbar.
    o It's now possible to assign key shortcuts to KIPI plugins.
    o New manpage by Christopher Martin.
   * Fixes:
    o Do not display the folder name as an image in the status bar.
    o Make sure the folder KPart starts in the right folder.
    o Unbreak the saving of key shortcuts.
    o Remote urls are correctly bookmarked.
    o Do not try to overwrite the trash when trashing only one file.

* Mon Aug 30 2004 Angelo Naselli <random_lx@yahoo.com> 1.1.4-0.2mdk
- patch for russian language

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 1.1.4-0.1mdk
- changed spec file to manage -with-hack option to build gwenview with 
  hack suffix (default is without hack)
- from Aurlien Gteau:
- New features:
 - In the thumbnail view, It's now possible to sort images in reverse order.
 - Use EXIF-stored thumbnail if available.
 - Option to disable saving of generated thumbnails to cache.
 - In fullscreen mode, it's now possible to display the image comment or size
   in addition to the file path.
 - The fullscreen On-Screen-Display is more readable now.
 - The background color of the image view can be configured.
 - When printing, it's now possible to enlarge images so that they fill the
   page.
- Fixes:
 - In the folder view, pressing Enter now opens the selected folder.
 - Use icon list for the configuration dialog.
 - Avoid data loss if the JPEG images are saved while being rotated by
   JPEGTran.
 - The back button in Konqueror now works correctly with gvimagepart.
 - The default layout is more user-friendly.
 - Non-trivial URLs (e.g. http query URL) are correctly handled.
 - You can now drop images on the image view.

* Sun Jun 13 2004 Angelo Naselli <random_lx@yahoo.com> 1.1.3-0.1mdk
- new release: my wedding present :-)
   from Aurlien Gteau:
   Gwenview codenamed "Hurry up, I'm getting married tomorrow"
   *  New features:
          o You can now define custom branches in the dir view (By Craig Drummond)
          o An image cache has been added to speedup image loading.
          o Gwenview now uses freedesktop.org thumbnail spec to store thumbnails.
          o A new option to automatically empty thumbnail cache on exit (By Angelo Naselli).
          o The image size is now displayed below file names in thumbnail view.
    * Fixes:
          o Don't crash when switching to fullscreen while generating thumbnails and coming back (By Lubos Lunak)
          o Faster thumbnail generation (By Lubos Lunak)
          o Faster image painting by dynamically determining suitable paint size (By Lubos Lunak)
          o Use the "Standard Background" color as the background for thumbnails and folders (By Craig Drummond).
          o Make sure the current image is reloaded if it has been modified outside Gwenview.

* Wed Jun 02 2004 Angelo Naselli <random_lx@yahoo.com> 1.1.2-0.3mdk
- hack suffix on kpart lib

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.2mdk
- merge with changes from Angelo Naselli <random_lx@yahoo.com>

* Thu May 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.1mdk
- 1.1.2
- from Angelo Naselli <random_lx@yahoo.com> : 
- mdk version of the development release (1.1.1) named gwenview_hack
    from Aurlien Gteau:
    - New features:
     - Added KPart support, this installs in Konqueror a new file view mode and let you view 
       images in an embedded Gwenview (By Jonathan Riddell).
     - Asynchronous JPEG loading, based on Khtml loader.
     - Really asynchronous PNG loading (By Lubos Lunak).
     - Mouse wheel will now scroll the image by default. Holding Ctrl will scroll horizontally. 
       An option has been added to the setting dialog to toggle between scroll and browse 
       (By Jeroen Peters).
     - When holding shift over the image, right click will zoom out (By Jeroen Peters).
     - Image painting is now progressive (By Lubos Lunak).
    - Fixes:
     - The rotate and mirror functions can now work on multiple selection.
     - Make it possible to load another image or quit even if you can't save your changes.
     - Gwenview won't spawn multiple instances of jpegtran anymore.

